# Contributing to PufferPanel

We welcome any contributions to PufferPanel, whether in the form of bug reports, feature suggestions, and even code submissions. When submitting any of those, please follow this documentation to help speed up the process.

# Reporting Bugs

A bug is when the software does not behave in a way that is expected. It is **not** invalid configurations which render the panel broken.

If you believe you have located a bug, please report it to the [Bug Tracker](https://github.com/PufferPanel/PufferPanel/issues).

**Please make sure there is not an issue for your specific bug already!** If you find that someone else has reported a bug you have, please comment on that issue stating you have replicated that bug. Do not make a new issue.

When submitting those bugs, follow these standards:
* The title of the issue should **clearly** and **quickly** explain the issue. A good title would be "Cannot delete IPs from node if it has 2 or more ports".
* The description should contain the following information
  * A complete description of the problem. This should explain what you expect the panel to do and what the panel actually did.
  * Steps to reproduce the bug. It is hard to figure out what the bug truly is if we cannot do it ourselves.

# How to Contribute

When submitting new code to the panel, you **must** follow both the standards outlined later in this documentation, along with the following:
* All PRs must contain a reference to an **existing** issue. If there is no issue for your PR to reference, then create a new issue, following the guidelines above.
* PRs may only contain **1** feature or enhancement. Kitchen sinks will be throw out the window.
